import { DeclareConstructor } from "dojo/_base/declare";
import _WidgetsInTemplateMixin = require("./_WidgetsInTemplateMixin");

interface _ConfirmDialogMixin extends _WidgetsInTemplateMixin {
    /**
     * HTML snippet for action bar, overrides _DialogMixin.actionBarTemplate
     */
    actionBarTemplate: string;

    /**
     * Label of OK button.
     */
    buttonOk: string;

    /**
     * Label of cancel button.
     */
    buttonCancel: string;
}

type _ConfirmDialogMixinContructor = DeclareConstructor<_ConfirmDialogMixin>;

declare const _ConfirmDialogMixin: _ConfirmDialogMixinContructor

declare module "dojo/_base/kernel" {
    interface Dijit {
        _ConfirmDialogMixin: _ConfirmDialogMixinContructor;
    }
}
